### Class

# Gimp BatchProcedure

#### Description

    class Gimp.BatchProcedure : Gimp.Procedure {
      parent_instance: GimpProcedure,
      priv: GimpBatchProcedurePrivate*
    }

No description available.

#### Ancestors

- GimpProcedure
- GObject

#### Constructors

###### gimp_batch_procedure_new

Creates a new batch interpreter procedure named `name` which will call `run_func` when invoked.

unstable since: 3.0

#### Instance methods

###### gimp_batch_procedure_get_interpreter_name

Returns the procedure’s interpreter name, as set with `gimp_batch_procedure_set_interpreter_name()`.

unstable since: 3.0

###### gimp_batch_procedure_set_interpreter_name

Associates an interpreter name with a batch procedure.

unstable since: 3.0

##### Methods inherited from GimpProcedure (45)

Please see GimpProcedure for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GimpProcedure (3)

###### Gimp.Procedure:name

No description available.

###### Gimp.Procedure:plug-in

No description available.

###### Gimp.Procedure:procedure-type

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpBatchProcedureClass {
      GimpProcedureClass parent_class;

    }

No description available.

###### Class members

`parent_class: GimpProcedureClass`
  No description available.